import { b as BaseIconProps } from './BaseIcon-lVoIRPi1.js';
export { B as BaseIcon, a as BaseIconComponent, I as IconVariant } from './BaseIcon-lVoIRPi1.js';
import React from 'react';

declare const Brush: React.FC<BaseIconProps>;

declare const CircleAndSquare: React.FC<BaseIconProps>;

declare const Code: React.FC<BaseIconProps>;

declare const CropTool: React.FC<BaseIconProps>;

declare const Eraser: React.FC<BaseIconProps>;

declare const Grid: React.FC<BaseIconProps>;

declare const Image: React.FC<BaseIconProps>;

declare const ImageAddOu: React.FC<BaseIconProps>;

declare const ImageCheckOu: React.FC<BaseIconProps>;

declare const ImageDownloadOu: React.FC<BaseIconProps>;

declare const ImageEditOu: React.FC<BaseIconProps>;

declare const ImageExportOu: React.FC<BaseIconProps>;

declare const ImageFavouriteOu: React.FC<BaseIconProps>;

declare const ImageImportOu: React.FC<BaseIconProps>;

declare const ImageLockedOu: React.FC<BaseIconProps>;

declare const ImageOff: React.FC<BaseIconProps>;

declare const ImageRemoveOu: React.FC<BaseIconProps>;

declare const ImageSearchOu: React.FC<BaseIconProps>;

declare const ImageSubtractOu: React.FC<BaseIconProps>;

declare const ImageUploadOu: React.FC<BaseIconProps>;

declare const ImageViewOu: React.FC<BaseIconProps>;

declare const PaintBucket: React.FC<BaseIconProps>;

declare const PaintRoller: React.FC<BaseIconProps>;

declare const Palette: React.FC<BaseIconProps>;

declare const Pen: React.FC<BaseIconProps>;

declare const Pencil: React.FC<BaseIconProps>;

declare const PerspectiveLeft: React.FC<BaseIconProps>;

declare const PerspectiveRight: React.FC<BaseIconProps>;

declare const Picker: React.FC<BaseIconProps>;

declare const Ruler: React.FC<BaseIconProps>;

declare const Scale: React.FC<BaseIconProps>;

declare const SliceTool: React.FC<BaseIconProps>;

declare const Text: React.FC<BaseIconProps>;

declare const TriangleRuler: React.FC<BaseIconProps>;

declare const VectorEditCircle: React.FC<BaseIconProps>;

declare const VectorEditPolygon: React.FC<BaseIconProps>;

declare const VectorEditPolygonAlt: React.FC<BaseIconProps>;

declare const VectorEditRectangleHr: React.FC<BaseIconProps>;

declare const VectorEditRectangleVr: React.FC<BaseIconProps>;

declare const VectorEditSemicircle: React.FC<BaseIconProps>;

declare const VectorEditSemicircleAlt: React.FC<BaseIconProps>;

declare const VectorEditSquare: React.FC<BaseIconProps>;

declare const VectorEditTriangle: React.FC<BaseIconProps>;

declare const VectorEditTriangleAlt: React.FC<BaseIconProps>;

declare const ZoomIn: React.FC<BaseIconProps>;

declare const ZoomOut: React.FC<BaseIconProps>;

export { BaseIconProps, Brush, CircleAndSquare, Code, CropTool, Eraser, Grid, Image, ImageAddOu, ImageCheckOu, ImageDownloadOu, ImageEditOu, ImageExportOu, ImageFavouriteOu, ImageImportOu, ImageLockedOu, ImageOff, ImageRemoveOu, ImageSearchOu, ImageSubtractOu, ImageUploadOu, ImageViewOu, PaintBucket, PaintRoller, Palette, Pen, Pencil, PerspectiveLeft, PerspectiveRight, Picker, Ruler, Scale, SliceTool, Text, TriangleRuler, VectorEditCircle, VectorEditPolygon, VectorEditPolygonAlt, VectorEditRectangleHr, VectorEditRectangleVr, VectorEditSemicircle, VectorEditSemicircleAlt, VectorEditSquare, VectorEditTriangle, VectorEditTriangleAlt, ZoomIn, ZoomOut };
